﻿/**
 * 到远程服务器请求数据，如果不能成功请求到数据，则记录错误日志
 */
function testStatic(data){ 
	 
}
var cdn_load = getStatCookie('_cccdn');
var url;
if(1 == cdn_load || 2 == cdn_load){
	url = location.protocol + '//static-c.intsig.net/public/test/is.test.data.js';
}else{
	url = location.protocol + '//static.intsig.net/public/test/is.test.data.js';
}
var script = document.createElement('script');
script.setAttribute('src', url);
script.onerror = function(msg, url, l){
	var timestamp = new Date().getTime();
	var _user = getStatCookie('_ccc');
	var trackno = 'cdn' + timestamp + _user;
	var img_url = 'http://trace' + trackno + '.intsig.net/1.jpg';
	var img = document.createElement('img');
	img.setAttribute('style', 'display:none');
	img.setAttribute('src', img_url);
	document.getElementsByTagName('body')[0].appendChild(img);
	//加载一个图片
	Ajax.request('/user/loaderror', {'method' : 'POST',
									 'data' : 'trackno='+trackno,
									 'success' : function(){
										 if(!cdn_load){
											 addStatCookie('_cccdn', 1, 30);
											 location.reload();
										 }
									 }
									});
}

try{
	document.getElementsByTagName('head')[0].appendChild(script);
}catch(err){
	console.log('load error');
}

//添加cookie
function addStatCookie(objName, objValue, objdays){
	var str = objName + '=' + escape(objValue);
	if(objdays > 0){
		var date = new Date();
		var ms = objdays * 24 * 3600 * 1000;
		var s_domain = location.host;
		s_domain = s_domain.replace(/^(w\w*)\.?/, '');
		date.setTime(date.getTime() + ms);
		str += ";expires=" + date.toGMTString() + ';domain='+s_domain+';path=/';
	}
	document.cookie = str;
}

//获取指定名称的cookie的值
function getStatCookie(objName){
	var arrStr = document.cookie.split("; ");
	for(var i = 0;i < arrStr.length;i ++){
		var temp = arrStr[i].split("=");
		if(temp[0] == objName) return unescape(temp[1]);
	} 
}

/**
 * 执行基本ajax请求,返回XMLHttpRequest
 * Ajax.request(url,{
 *      async   是否异步 true(默认)
 *      method  请求方式 POST or GET(默认)
 *      data    请求参数 (键值对字符串)
 *      success 请求成功后响应函数，参数为xhr
 *      failure 请求失败后响应函数，参数为xhr
 * });
 *
 */
var Ajax = function(){
    function request(url,opt){
        function fn(){}
        var async   = opt.async !== false,
            method  = opt.method    || 'GET',
            data    = opt.data      || null,
            success = opt.success   || fn,
            failure = opt.failure   || fn;
            method  = method.toUpperCase();
        if(method == 'GET' && data){
            url += (url.indexOf('?') == -1 ? '?' : '&') + data;
            data = null;
        }
        var xhr = window.XMLHttpRequest ? new XMLHttpRequest() : new ActiveXObject('Microsoft.XMLHTTP');
        xhr.onreadystatechange = function(){
            _onStateChange(xhr,success,failure);
        };
        xhr.open(method,url,async);
        if(method == 'POST'){
            xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded;');
        }
        xhr.send(data);
        return xhr; 
    }
    function _onStateChange(xhr,success,failure){
        if(xhr.readyState == 4){
            var s = xhr.status;
            if(s>= 200 && s < 300){
                success(xhr);
            }else{
                failure(xhr);
            }
        }else{}
    }
    return {request:request};   
}();
